Name:  perl-Geo-IP
Version: 1.28
Release: 3%{?dist}
Summary: Efficient Perl bindings for the GeoIP location database       

Group: Development/Libraries
License: GPL+ or Artistic
URL: http://search.cpan.org/dist/Geo-IP/            
Source0: http://www.cpan.org/authors/id/T/TJ/TJMATHER/Geo-IP-%{version}.tar.gz   
Patch0: Geo-IP-1.28-yahoo-namelookuptest.diff
Patch1:	Geo-IP-1.28-example.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: GeoIP-devel perl(ExtUtils::MakeMaker)
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package contains Perl bindings for the GeoIP IP/hostname to
country/location/organization database.

This package requires Maxmind's GeoIP libraries but is often faster than other,
similar modules.  

%prep
%setup -q -n Geo-IP-%{version}

%patch0 -p0 -b .namelookup
%patch1 -p0

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}
# Avoid uneeded dependencies in the docs.
find example/ -type f | xargs chmod -x

%check
make test

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes INSTALL example
%{perl_vendorarch}/Geo
%{perl_vendorarch}/auto/Geo
%{_mandir}/man3/Geo::IP*.3*
%{_mandir}/man3/Geo::Mirror.3*

%changelog
* Mon Sep 3 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.28-4
- Fix %%patch invocation to help avoid a bogus interpreter issue
- First build for Extras

* Sun Aug 26 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.28-3
- Actually apply the patch :-)
- Apply consistency in macro usage
- Remove explicit GeoIP dependency as it should be pulled in automagically
- Patch to example/netspeed to avoid bogus interpreter
- Update License to match current Fedora guidelines.

* Fri Jul 20 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.28-2
- Patch out mysterious and ephemeral test failure

* Sun Jul 8 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.28-1
- Update to 1.28

* Sun Jun 17 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.27-4.mf
- New URLs
- Fix MakeMaker build requirement
- Include test suite check
- Add examples directory in documentation

* Sat Nov 4 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.27-3.mf
- Fix version tag to go with my conventions
- Bump for FC6

* Sun Feb 19 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.27-2
- Spin a version for Extras, removing the braindamage from my previous
  releases.

* Fri Sep 9 2005 mfleming@enlartenment.com - 1.27-1.fc4.mf
- 1.27

* Wed Aug 3 2005 mfleming@enlartenment.com - 1.26-2.fc4.mf
- Rebuilt against new geoip version

* Sun Jun 12 2005 mfleming@enlartenment.com - 1.26-1.fc4.mf
- Initial release

